package sgc.portal.cw.cw1001.persistence;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1001.dto.CW10010001USearch;
import sgc.portal.cw.cw1001.model.CW10010001U;

import java.util.List;

@Mapper
public interface CW10010001UMapper {
	
	//잉여 자재(비품)정보 공유 (관리자) 조회
    List<EasyHashMap<String, Object>> selectSiteAddress(CW10010001USearch search);
    
    //잉여 자재(비품)정보 공유 (관리자) 추가 삭제 수정
    int insertSiteAddress(CW10010001U cW10010001U);
    int updateSiteAddress(CW10010001U cW10010001U);
    int deleteSiteAddress(CW10010001U cW10010001U);
}